org.apache.myfaces.trinidad.context

## Enum RequestContext.Accessibility

- java.lang.Object
- - java.lang.Enum<RequestContext.Accessibility>
  - - org.apache.myfaces.trinidad.context.RequestContext.Accessibility

- All Implemented Interfaces:
    Serializable, Comparable<RequestContext.Accessibility>
  Enclosing class:
    RequestContext

      public static enum RequestContext.Accessibility
      extends Enum<RequestContext.Accessibility>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Output supports accessibility features
    `INACCESSIBLE` Accessibility-specific constructs are stripped out to optimize output size
    `SCREEN_READER` Accessibility-specific constructs are added to improve behavior under a screen reader (but may affect other users negatively)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `displayName()` Returns the display name for this enum constant.
    `String` | `toString()`
    `static RequestContext.Accessibility` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RequestContext.Accessibility` | `valueOfDisplayName(String displayName)` Performs a reverse lookup of an Accessibilty constant based on its display name.
    `static RequestContext.Accessibility[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final RequestContext.Accessibility DEFAULT

      Output supports accessibility features

    - #### INACCESSIBLE

          public static final RequestContext.Accessibility INACCESSIBLE

      Accessibility-specific constructs are stripped out to optimize output size

    - #### SCREEN_READER

          public static final RequestContext.Accessibility SCREEN_READER

      Accessibility-specific constructs are added to improve behavior under a screen reader (but may affect other users negatively)

  - ### Method Detail

    - #### values

          public static RequestContext.Accessibility[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RequestContext.Accessibility c : RequestContext.Accessibility.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RequestContext.Accessibility valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<RequestContext.Accessibility>`

    - #### displayName

          public String displayName()

      Returns the display name for this enum constant.

    - #### valueOfDisplayName

          public static RequestContext.Accessibility valueOfDisplayName(String displayName)

      Performs a reverse lookup of an Accessibilty constant based on its display name.
      Parameters:
        `displayName` - the display name of the Accessibility constant to return.
      Returns:
        the non-null Accessibility constant associated with the display name.
      Throws:
        `IllegalArgumentException` - if displayName does not correspond to some Accessibility constant.
        `NullPointerException` - if displayName is null.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.